Get Chainable Risks

This method is used to get each device's list of chainable risks.

Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.RiskPrioritization.getChainableRisks(
  organization="Demo Org",
  account_name="Demo Account",
  risk_id="CVE-2021-44228",
  asset_name="tar"
)

print(response)
client.close()

Requires Python 3.9 or later.

Body Params
string
required

Name of the organization requesting chainable risk details.

string
required

Name of the account associated with the organization.

string
required

Identifier of the risk for which chainable risks are requested.

string
required

Name of the asset associated with the risk.

string

Priority category of the risk (Act, Attend, Track*, Track).

string

Indicates whether the risk is automatable (yes or no).

string

Mission critical level of the asset (high, medium, low).

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json